Go to the first, previous, next, last section, table of contents.

### `coef`

`coef(poly,deg[,var])`
  :: The coefficient of a polynomial poly at degree deg with respect to the variable var (main variable if unspecified).

return
  polynomial
poly
  polynomial
var
  indeterminate
deg
  non-negative integer

- The coefficient of a polynomial poly at degree deg with respect to the variable var.
- The default value for var is the main variable, i.e., `var(poly)`.
- For multi-variate polynomials, access to coefficients depends on the specified indeterminates. For example, taking coef for the main variable is much faster than for other variables.

    [0] A = (x+y+z)^3;
    x^3+(3*y+3*z)*x^2+(3*y^2+6*z*y+3*z^2)*x+y^3+3*z*y^2+3*z^2*y+z^3
    [1] coef(A,1,y);
    3*x^2+6*z*x+3*z^2
    [2] coef(A,0);
    y^3+3*z*y^2+3*z^2*y+z^3

`References`
  section `var`, section `deg`, `mindeg`.

Go to the first, previous, next, last section, table of contents.